API Explorer 1 endpoints

Get API Info (root)

GET /obp/v7.0.0/root

OBPv7.0.0-root No role required API

Returns information about:

  • API version
  • Hosted by information
  • Git Commit

User Authentication is Optional. The User need not be logged in.

JSON response body fields (9)
connector
connector
email
felixsmith@example.com
git_commit
59623811dd8a41f6ffe67be46954eee11913dc28
hosted_by
organisation
organisation_website
phone
version
version_status
Example success response
{
  "version": "String",
  "version_status": "String",
  "git_commit": "String",
  "connector": "String",
  "hosted_by": {
    "organisation": "String",
    "email": "String",
    "phone": "String",
    "organisation_website": "String"
  }
}
Possible errors (1)
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 root